# Uses of Interface
org.eclipse.gef.requests.CreationFactory

Packages that use CreationFactory
Package
Description
org.eclipse.gef.dnd
org.eclipse.gef.palette
This package defines and implements the model used by the `PaletteViewer`.
org.eclipse.gef.requests
This package contains the common Request types used by the provided tools and edit policies.
org.eclipse.gef.tools
This package provides several tool implementations.
org.eclipse.gef.ui.actions
This package support for using JFace Actions in your EditorPart.

## Uses of CreationFactory in org.eclipse.gef.dnd

Methods in org.eclipse.gef.dnd that return CreationFactory
Modifier and Type
Method
Description
`protected CreationFactory`
TemplateTransferDropTargetListener.`getFactory(Object template)`
Returns the appropriate Factory object to be used for the specified template.

## Uses of CreationFactory in org.eclipse.gef.palette

Fields in org.eclipse.gef.palette declared as CreationFactory
Modifier and Type
Field
Description
`protected final CreationFactory`
CreationToolEntry.`factory`
Deprecated.
in 3.1.
Constructors in org.eclipse.gef.palette with parameters of type CreationFactory
Modifier
Constructor
Description
``
`CombinedTemplateCreationEntry(String label, String shortDesc, Object template, CreationFactory factory, ImageDescriptor iconSmall, ImageDescriptor iconLarge)`
Constructs an entry with the given creation factory and template.
``
`CombinedTemplateCreationEntry(String label, String shortDesc, CreationFactory factory, ImageDescriptor iconSmall, ImageDescriptor iconLarge)`
Constructs an entry with the given creation factory.
``
`ConnectionCreationToolEntry(String label, String shortDesc, CreationFactory factory, ImageDescriptor iconSmall, ImageDescriptor iconLarge)`
Constructor for ConnectionCreationToolEntry.
``
`CreationToolEntry(String label, String shortDesc, CreationFactory factory, ImageDescriptor iconSmall, ImageDescriptor iconLarge)`
Constructor for CreationToolEntry.

## Uses of CreationFactory in org.eclipse.gef.requests

Classes in org.eclipse.gef.requests that implement CreationFactory
Modifier and Type
Class
Description
`class`
`SimpleFactory`
A simple CreationFactory that takes a Class in the constructor and creates a new instance of this Class in `SimpleFactory.getNewObject()`.
Methods in org.eclipse.gef.requests that return CreationFactory
Modifier and Type
Method
Description
`protected CreationFactory`
CreateRequest.`getFactory()`
Returns the CreationFactory for this request.
Methods in org.eclipse.gef.requests with parameters of type CreationFactory
Modifier and Type
Method
Description
`void`
CreateRequest.`setFactory(CreationFactory factory)`
Sets the factory to be used when creating the new object.

## Uses of CreationFactory in org.eclipse.gef.tools

Methods in org.eclipse.gef.tools that return CreationFactory
Modifier and Type
Method
Description
`protected CreationFactory`
AbstractConnectionCreationTool.`getFactory()`
Returns the creation factory that will be used with the create connection request.
`protected CreationFactory`
CreationTool.`getFactory()`
Returns the creation factory used to create the new EditParts.
Methods in org.eclipse.gef.tools with parameters of type CreationFactory
Modifier and Type
Method
Description
`void`
AbstractConnectionCreationTool.`setFactory(CreationFactory factory)`
Sets the creation factory used in the request.
`void`
CreationTool.`setFactory(CreationFactory factory)`
Sets the creation factory used to create the new edit parts.
Constructors in org.eclipse.gef.tools with parameters of type CreationFactory
Modifier
Constructor
Description
``
`AbstractConnectionCreationTool(CreationFactory factory)`
Constructs a new abstract creation tool with the given creation factory.
``
`ConnectionCreationTool(CreationFactory factory)`
Constructs a new ConnectionCreationTool with the given factory.
``
`ConnectionDragCreationTool(CreationFactory factory)`
Constructs a new ConnectionDragCreationTool with the given factory.
``
`CreationTool(CreationFactory aFactory)`
Constructs a new CreationTool with the given factory.

## Uses of CreationFactory in org.eclipse.gef.ui.actions

Methods in org.eclipse.gef.ui.actions that return CreationFactory
Modifier and Type
Method
Description
`protected CreationFactory`
PasteTemplateAction.`getFactory(Object template)`
Returns the appropriate Factory object to be used for the specified template.